Bug 675092 - (CVE-2011-0056) CVE-2011-0056 Mozilla Buffer overflow in JavaScript atom map (MFSA 2011-05)
CVE-2011-0056 Mozilla Buffer overflow in JavaScript atom map (MFSA 2011-05)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20110301,reported=20110204,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 04:31 EST by Huzaifa S. Sidhpurwala
Modified: 2015-08-19 05:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 17:49:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-02-04 04:31:42 EST
Security researcher Christian Holler reported that the JavaScript 
engine's internal mapping of string values contained an error in 
cases where the number of values being stored was above 64K. 
In such cases an offset pointer was manually moved forwards and 
backwards to access the larger address space. 

If an exception was thrown between the time that the offset pointer 
was moved forward and the time it was reset, then the exception 
object would be read from an invalid memory address, potentially 
executing attacker-controlled memory.
Comment 1 Vincent Danen 2011-03-01 18:21:51 EST
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-05.html
Comment 2 errata-xmlrpc 2011-03-01 20:10:10 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html

Note You need to log in before you can comment on or make changes to this bug.